---
title: "Gets specific Order Item"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-orderitems-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Gets specific Order Item

`GET` `/orderitems/{id}`

Operation ID: `get-orderitems-id`

Gets specific Order Item

## Path parameters

- `id` (integer, int32, required) - Format - int32. Order Item id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Order Item
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /orderitems/{id}:
    get:
      tags:
        - orderitems
      summary: Gets specific Order Item
      description: Gets specific Order Item
      operationId: get-orderitems-id
      parameters:
        - name: id
          in: path
          description: Format - int32. Order Item id
          required: true
          schema:
            type: integer
            description: Order Item id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Order Item
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ExtendedOrderItem"
              example:
                id: 0
                external_id: string
                order_item_type: string
                product:
                  id: 0
                  product_type:
                    id: 0
                    name: string
                    modified_on: string
                  supplier_sku: string
                  short_description: string
                original_price: 0
                sell_price: 0
                order_item_total: 0
                order_item_discount_total: 0
                taxable: true
                tax_rate: 0
                supplier_buy_ex: 0
                direct_costs_ex: 0
                cogs_ex: 0
                fulfilment_method: string
                due_date: string
                delivery_driver:
                  id: 0
                  name: string
                delivery_zone:
                  id: 0
                  name: string
                delivery_time:
                  id: 0
                  name: string
                quantity_ordered: 0
                quantity_fulfiled: 0
                fulfil_outlet:
                  id: 0
                  name: string
                  modified_on: string
                source_outlet:
                  id: 0
                  name: string
                  modified_on: string
                applied_promotional_campaigns:
                  - id: 0
                    name: string
                created_on: string
                modified_on: string
                linked_purchase_order:
                  id: 0
                  status:
                    id: 0
                    name: string
                  eta: string
                  created_on: string
                  modified_on: string
                order_id: 0
                order_number: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ExtendedOrderItem:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order item id.
          format: int32
          nullable: true
        external_id:
          type: string
          description: External unique id
          nullable: true
        order_item_type:
          type: string
          description: Order item type
          nullable: true
        product:
          $ref: "#/components/schemas/OrderItemProduct"
        original_price:
          type: number
          description: Original price
          format: double
          nullable: true
        sell_price:
          type: number
          description: Sell price
          format: double
        order_item_total:
          type: number
          description: Order item total
          format: double
          readOnly: true
        order_item_discount_total:
          type: number
          description: Order item discount total
          format: double
          nullable: true
        taxable:
          type: boolean
          description: Is taxable
          nullable: true
        tax_rate:
          type: number
          description: Tax rate
          format: double
          nullable: true
        supplier_buy_ex:
          type: number
          description: Supplier Buy Ex
          format: double
          nullable: true
        direct_costs_ex:
          type: number
          description: Direct Costs Ex
          format: double
          nullable: true
        cogs_ex:
          type: number
          description: COGS Ex
          format: double
          nullable: true
          readOnly: true
        fulfilment_method:
          type: string
          description: Fulfilment Method
          nullable: true
        due_date:
          type: string
          description: Due date
          format: date-time
          nullable: true
        delivery_driver:
          $ref: "#/components/schemas/DeliveryDriver"
        delivery_zone:
          $ref: "#/components/schemas/DeliveryZone"
        delivery_time:
          $ref: "#/components/schemas/DeliveryTime"
        quantity_ordered:
          type: integer
          description: Quantity Ordered
          format: int32
        quantity_fulfiled:
          type: integer
          description: Quantity Fulfiled
          format: int32
        fulfil_outlet:
          $ref: "#/components/schemas/OrderItemOutlet"
        source_outlet:
          $ref: "#/components/schemas/OrderItemOutlet"
        applied_promotional_campaigns:
          type: array
          items:
            $ref: "#/components/schemas/Campaign"
          description: Promotional campaigns
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        linked_purchase_order:
          $ref: "#/components/schemas/OrderPurchaseOrder"
        order_id:
          type: integer
          description: Order Id .
          format: int32
        order_number:
          type: string
          description: Order Number.
          nullable: true
      additionalProperties: false
      description: Order Item Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    OrderItemProduct:
      title: ""
      required:
        - short_description
        - supplier_sku
      type: object
      properties:
        id:
          type: integer
          description: Product Id.
          format: int32
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
        supplier_sku:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier SKU.
        short_description:
          maxLength: 255
          minLength: 0
          type: string
          description: Product description.
      additionalProperties: false
      description: Order Item Product View Model
    DeliveryDriver:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    DeliveryZone:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    DeliveryTime:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    OrderItemOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Order Item Outlet Model
    Campaign:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Campaign id
          format: int32
          nullable: true
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Campaign name
          nullable: true
      additionalProperties: false
      description: Campaign Model
    OrderPurchaseOrder:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: PO Id
          format: int32
          nullable: true
        status:
          $ref: "#/components/schemas/OrderPurchaseOrderStatus"
        eta:
          type: string
          description: ETA
          format: date-time
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[\w\-\s\/\+\.\;\:\(\)\*\&\^\%\$\#\@\,\']{1,50}$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
    OrderPurchaseOrderStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Status identifier
          format: int32
          nullable: true
        name:
          type: string
          description: Status name
          nullable: true
      additionalProperties: false
```
